<%@ page import="java.util.*,com.alibaba.fastjson.JSONObject,org.apache.commons.lang3.time.FastDateFormat,java.util.Date,
    com.newxtc.fw.client.WebCrypt,com.newxtc.fw.client.SmsBussi, 
	com.newxtc.fw.client.FwClient,com.newxtc.fw.client.SmsSafe"
	language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" buffer="64kb"%>
<%	

	String bus_type = request.getParameter("bus_type");
	String bus_result = request.getParameter("bus_result");
	String isCrypt = request.getParameter("isCrypt");
	String smsByte= request.getParameter("smsSign");
	String json= request.getParameter("json");
	String submit_type= request.getParameter("submit_type");
    String smsSign =(smsByte!=null) ? new String(smsByte.getBytes(),"UTF-8"):null;
	long beginTime = System.currentTimeMillis();
    boolean isJson="1".equals(submit_type);

	String bus_msg = "", retUrl = ""; // 业务名称 , 演示用途
	String nxtToken = request.getParameter("nxtToken");
	// 示例，从  seesion 中获取设备指纹信息 
	JSONObject deviceInfo =(nxtToken!=null) ? FwClient.getDevice(nxtToken) : FwClient.getDevice(request);
	
	//  对接程序开始 
	String reasonCode = "", reasonMsg = "", msg = "", orderNo = ""; // 返回码
	// 防火墙返回指令
	String fwRet = "";
	String spCode= "";

	FastDateFormat fmHms = FastDateFormat.getInstance("HHmmss");
	String smsCode=fmHms.format(new Date());

	// isCrypt: 0  标准方法，1 一步解密手机号
	String mobile=null;
	if("1".equals(isCrypt)){
		// 加密方式，  提交方式 0  request, 1 json
		mobile=isJson ? WebCrypt.getMobileByJson(json) : WebCrypt.getMobile(request);
	}else{
		// isCrypt: 0  不加密
		mobile=request.getParameter("inputMobile");
	}

	if(mobile != null){
		Map<String, Object> paramMap;
		JSONObject retJson = null; //返回结果
		int iType=(bus_type!=null) ? Integer.parseInt(bus_type): -1;
		switch(iType){
			case 0:
				%><%@include file="/result_0.jsp"%><%
				break;
			case 1:
				%><%@include file="/result_1.jsp"%><%			
				break;
			case 2:
				%><%@include file="/result_2.jsp"%><%	
				break;
			case 3:
				%><%@include file="/result_3.jsp"%><%	
				break;
		}	 
	    fwRet =  (retJson!=null) ?  retJson.getString("riskResult") : null;
		msg = (fwRet!=null && "REJECT".equals(fwRet)) ? "拒绝" : "放行";
		reasonCode =  (retJson!=null) ? retJson.getString("reasonCode") : "";
		reasonMsg  =  (retJson!=null) ? retJson.getString("reasonMsg") : "";
		orderNo    =  (retJson!=null) ? retJson.getString("orderNo") : ""; 
		retUrl = "/pay.jsp?mobile=" + mobile+"&bus_type="+bus_type+"&bus_result="+bus_result+"&submit_type="+submit_type;
	} else {
		reasonCode = "ERROR";
		reasonMsg = "页面失效";
	}
	long cost = System.currentTimeMillis() - beginTime;
%>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
</head>
<body>	
	
	<%
		if (!"0".equals(reasonCode)) {
	%>
	<div>
		<strong>
			<font style="color: red;"> 操作失败!cost=<%=cost%></font>
		</strong>
		<br>
		<strong> 失败原因: <%=reasonMsg%> </strong>
		<br>
		<strong> 风控指令: <%=msg%> </strong>
	</div>
	<%
		} else {
	%>
	<div>
		<strong> 操作成功! cost=<%=cost%></strong>
		&nbsp;&nbsp;&nbsp;
		<p id="timeFont"></p>
		<table border='1' style='width:1000; border: 1px; text-align: center;' cellpadding='4' cellspacing='0'>
			<tr>
				<td id="contentData" bgcolor='#ddeeff' style='color: <%=("REJECT".equals(fwRet)) ? "red" : "green"%>; font-size: 15px'>
					业务类型：<%=bus_msg%>, 订单号:   <%=orderNo%>, 风控指令: <%=msg%>, 提交方式：<%=(isJson ? "json":"request")%>
					<%if (spCode!=null && !"".equals(spCode)) {%>
							短信服务商： <%=spCode%>
					<%}%>
				</td>
			</tr>
		</table>
		<br />
		<div id="tableDiv"></div>
	</div>

	<%
		}
	%>

	<table>
		<tr>
			<td>
				<a href="<%=retUrl%>">返回 手机号:<%=mobile%></a>
			</td>
		</tr>
	</table>

	<table border='1' style='width: 1000; border: 1px; text-align: left;' cellpadding='4' cellspacing='0'>
		<tr>
			<td colspan='2' align="center">后台异步返回设备指纹</td>
		</tr>
	<%
	if (deviceInfo != null) {
		for (String key : deviceInfo.keySet()) {
		%>
		<tr>
			<td width="20%"><%=key%></td>
			<td width="80%"><%=deviceInfo.get(key)%></td>
		</tr>
		<%
		}
	}
	%>
	</table>

	<div>
		<a href="<%=retUrl%>">返回</a>
	</div>

</body>
</html>